cURL
curl -X POST https://api.bizmori.com/api/v2/orders/ai-detection \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{"idempotencyKey": "key-ai-001", "fileName": "photo.jpg"}'const response = await fetch('https://api.bizmori.com/api/v2/orders/ai-detection', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
idempotencyKey: 'key-ai-001',
fileName: 'photo.jpg'
})
});
const data = await response.json();import requests
response = requests.post(
'https://api.bizmori.com/api/v2/orders/ai-detection',
headers={'Authorization': 'Bearer YOUR_API_TOKEN'},
json={'idempotencyKey': 'key-ai-001', 'fileName': 'photo.jpg'}
)
data = response.json()
{
"data": {
"orderId": "<string>",
"orderName": "<string>",
"status": "pending",
"file": {
"fileId": 123,
"fileName": "<string>",
"uploadUrl": "<string>",
"fileKey": "<string>"
}
}
}{
"code": "VALIDATION_FAILED"
}{
"code": "AUTH_NOT_AUTHENTICATED"
}{
"code": "USAGE_LIMIT_EXCEEDED"
}AI Detection
AI Detection 주문 생성
AI Detection 주문을 생성하고 이미지 업로드를 위한 S3 프리사인드 URL을 발급합니다.
처리 흐름
- 이 엔드포인트를 호출하여 프리사인드 업로드 URL을 발급받습니다
- 발급된 프리사인드 URL로 이미지를 S3에 직접 업로드합니다
POST /api/v2/orders/ai-detection/{orderId}/confirm을 호출하여 비동기 감지를 시작합니다- 웹훅 또는 주문 상세 조회 엔드포인트를 통해 결과를 확인합니다
주문 상태
| 상태 | 설명 |
|---|---|
pending | 파일 업로드 대기 중 |
inProgress | 감지 처리 중 |
complete | 감지 완료, 결과 확인 가능 |
failed | 감지 실패 |
지원 파일 형식
jpg, jpeg, png, webp, bmp, tiff
POST
/
api
/
v2
/
orders
/
ai-detection
cURL
curl -X POST https://api.bizmori.com/api/v2/orders/ai-detection \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{"idempotencyKey": "key-ai-001", "fileName": "photo.jpg"}'const response = await fetch('https://api.bizmori.com/api/v2/orders/ai-detection', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
idempotencyKey: 'key-ai-001',
fileName: 'photo.jpg'
})
});
const data = await response.json();import requests
response = requests.post(
'https://api.bizmori.com/api/v2/orders/ai-detection',
headers={'Authorization': 'Bearer YOUR_API_TOKEN'},
json={'idempotencyKey': 'key-ai-001', 'fileName': 'photo.jpg'}
)
data = response.json()
{
"data": {
"orderId": "<string>",
"orderName": "<string>",
"status": "pending",
"file": {
"fileId": 123,
"fileName": "<string>",
"uploadUrl": "<string>",
"fileKey": "<string>"
}
}
}{
"code": "VALIDATION_FAILED"
}{
"code": "AUTH_NOT_AUTHENTICATED"
}{
"code": "USAGE_LIMIT_EXCEEDED"
}인증
외부 클라이언트 접근을 위한 API 키
본문
application/json
중복 요청 방지를 위한 멱등성 키
예시:
"key-ai-detection-001"
이미지 파일명 (확장자 포함). 지원 형식: jpg, jpeg, png, webp, bmp, tiff
예시:
"photo.jpg"
주문명 (선택 사항, 미입력 시 자동 생성)
Maximum string length:
64예시:
"my-detection-order"
응답
주문 생성 성공
⌘I